services:
  web:
    build: "."
    ports:
      - "443:443"
    volumes:
      - "./test-data/ssl-certs/:/etc/ssl/apache2"
      - "./test-data/roundcube-config.d/:/var/www/htdocs/config/config.d/"
    environment:
      ROUNDCUBEMAIL_DB_DSN: "mysql://user:pass@mysql:3306/db"
      ROUNDCUBEMAIL_PRODUCT_NAME: "mail @ craynic.net"
      ROUNDCUBEMAIL_SUPPORT_URL: "https://craynic.com"
      ROUNDCUBEMAIL_CRAYNIC_API_ENDPOINT: "https://admin.mail.craynic.net/api"
      ROUNDCUBEMAIL_LOGOUT_REDIRECT_URL: "https://admin.mail.craynic.net/webmail/logout"

  mysql:
    image: "mysql:9"
    environment:
      LANG: C.UTF-8
      MYSQL_USER: "user"
      MYSQL_PASSWORD: "pass"
      MYSQL_DATABASE: "db"
      MYSQL_RANDOM_ROOT_PASSWORD: "true"
    cap_add:
      - SYS_NICE
